%global srcname fitsio
%global sum A full featured python library to read from and write to FITS files


Name:           python-%{srcname}
Version:        0.9.10
Release:        1%{?dist}
Summary:        %{sum}

License:        GPLv2+
URL:            https://pypi.python.org/pypi/%{srcname}
Source0:        https://files.pythonhosted.org/packages/source/f/%{srcname}/%{srcname}-%{version}.tar.gz

# Patch to force usage of Fedora cfitsio instead of bundled copy
Patch0:         %{name}-use-system-cfitsio.patch

# General
BuildRequires:  cfitsio-devel
BuildRequires:  gcc

# Python 2
BuildRequires:  python2-devel
BuildRequires:  python2-numpy

# Python 3
BuildRequires:  python3-devel
BuildRequires:  python3-numpy


%description
%{sum}.

%package -n python2-%{srcname}
Summary:        %{sum}
%{?python_provide:%python_provide python2-%{srcname}}
Requires:       python2-numpy

%description -n python2-%{srcname}
%{sum}.

%package -n python3-%{srcname}
Summary:        %{sum}
%{?python_provide:%python_provide python3-%{srcname}}
Requires:       python3-numpy

%description -n python3-%{srcname}
%{sum}.


%prep
%setup -q -n %{srcname}-%{version}
%patch0 -p1

%build
sed -i "s,@INCLUDEDIR@,%{_includedir}/cfitsio,g" setup.py
sed -i "s,@LIBDIR@,%{_libdir},g" setup.py
%py2_build
%py3_build

%install
%py2_install
%py3_install

%files -n python2-%{srcname}
%license gpl.txt
%doc CHANGES.md README.md
%{python2_sitearch}/*

%files -n python3-%{srcname}
%license gpl.txt
%doc CHANGES.md README.md
%{python3_sitearch}/*

%changelog
* Sat Oct 01 2016 Christian Dersch <lupinix@mailbox.org> - 0.9.10-1
- Initial package


